| Version: 3.2.5

Classes | Enumerations | Functions
txtstrm.h File Reference

## Classes

class | wxTextInputStream
| This class provides functions that reads text data using an input stream, allowing you to read text, floats, and integers. More...
class | wxTextOutputStream
| This class provides functions that write text data using an output stream, allowing you to write text, floats, and integers. More...

## Enumerations

enum | wxEOL { wxEOL_NATIVE , wxEOL_UNIX , wxEOL_MAC , wxEOL_DOS }
| Specifies the end-of-line characters to use with wxTextOutputStream. More...

## Functions

wxTextOutputStream & | endl (wxTextOutputStream &stream)
| Writes `'\n'` to stream. More...

## Enumeration Type Documentation

## ◆ wxEOL

enum wxEOL

Specifies the end-of-line characters to use with wxTextOutputStream.

Enumerator
wxEOL_NATIVE | Specifies wxTextOutputStream to use the native end-of-line characters.
wxEOL_UNIX | Specifies wxTextOutputStream to use Unix end-of-line characters.
wxEOL_MAC | Specifies wxTextOutputStream to use Mac end-of-line characters.
wxEOL_DOS | Specifies wxTextOutputStream to use DOS end-of-line characters.